# Trait core::ops::BoxPlace [−] [src]

    pub trait BoxPlace<Data: ?Sized>: Place<Data> {
        fn make_place() -> Self;
    }

🔬 This is a nightly-only experimental API. (`placement_new_protocol` #27779)

Specialization of `Place` trait supporting `box EXPR`.

## Required Methods

### `fn make_place() -> Self`

🔬 This is a nightly-only experimental API. (`placement_new_protocol` #27779)

Creates a globally fresh place.

## Implementors

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)